#include"Assemble_Base.h"

/*
2D_EigenMode
*/
void OpticsFEM_2D_EigenMode::GetMaterial(MaterialLib* matLib)
{
	_mMatLib = matLib;
}

void OpticsFEM_2D_EigenMode::GetMesh(Mesh_2D* mesh)
{
	_mMesh = mesh;
}

void OpticsFEM_2D_EigenMode::GetPhy(Phy_WaveOpticsModel* phy)
{
	_mPhy = phy;
}

void OpticsFEM_2D_EigenMode::GetSolver(Solver_EigenMode* solver)
{
	_mSolver = solver;
}

void OpticsFEM_2D_EigenMode::GetPost(Post_2D_EigenMode* post)
{
	_mPost = post;
}


/*
2D_EigenFreq
*/
void OpticsFEM_2D_EigenFreq::GetMaterial(MaterialLib* matLib)
{
	_mMatLib = matLib;
}

void OpticsFEM_2D_EigenFreq::GetMesh(Mesh_2D* mesh)
{
	_mMesh = mesh;
}

void OpticsFEM_2D_EigenFreq::GetPhy(Phy_WaveOpticsModel* phy)
{
	_mPhy = phy;
}

void OpticsFEM_2D_EigenFreq::GetSolver(Solver_EigenFreq* solver)
{
	_mSolver = solver;
}

void OpticsFEM_2D_EigenFreq::GetPost(Post_2D_EigenFreq* post)
{
	_mPost = post;
}


/*
2D_Scatter
*/
void OpticsFEM_2D_Scatter::GetMaterial(MaterialLib* matLib)
{
	_mMatLib = matLib;
}

void OpticsFEM_2D_Scatter::GetMesh(Mesh_2D* mesh)
{
	_mMesh = mesh;
}

void OpticsFEM_2D_Scatter::GetPhy(Phy_WaveOpticsModel* phy)
{
	_mPhy = phy;
}

void OpticsFEM_2D_Scatter::GetSolver(Solver_LdaDom* solver)
{
	_mSolver = solver;
}

void OpticsFEM_2D_Scatter::GetPost(Post_2D_Scatter* post)
{
	_mPost = post;
}

/*
3D_EigenFreq
*/
void OpticsFEM_3D_EigenFreq::GetMaterial(MaterialLib* matLib)
{
	_mMatLib = matLib;
}

void OpticsFEM_3D_EigenFreq::GetMesh(Mesh_3D* mesh)
{
	_mMesh = mesh;
}

void OpticsFEM_3D_EigenFreq::GetPhy(Phy_WaveOpticsModel* phy)
{
	_mPhy = phy;
}

void OpticsFEM_3D_EigenFreq::GetSolver(Solver_EigenFreq* solver)
{
	_mSolver = solver;
}

void OpticsFEM_3D_EigenFreq::GetPost(Post_3D_EigenFreq* post)
{
	_mPost = post;
}

/*
3D_Scatter
*/
void OpticsFEM_3D_Scatter::GetMaterial(MaterialLib* matLib)
{
	_mMatLib = matLib;
}

void OpticsFEM_3D_Scatter::GetMesh(Mesh_3D* mesh)
{
	_mMesh = mesh;
}

void OpticsFEM_3D_Scatter::GetPhy(Phy_WaveOpticsModel* phy)
{
	_mPhy = phy;
}

void OpticsFEM_3D_Scatter::GetSolver(Solver_LdaDom* solver)
{
	_mSolver = solver;
}

void OpticsFEM_3D_Scatter::GetPost(Post_3D_Scatter* post)
{
	_mPost = post;
}

void OpticsFEM_3D_Scatter::SetExportAsmDirectory(const std::string& dir)
{
	_mExportAsmDir = dir;
}